
package com.ofss.fcubs.gw.ws.types.fcubsifservice;

/**
 * Please modify this class to meet your needs
 * This class is not complete
 */

import java.io.File;
import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.Action;

/**
 * This class was generated by Apache CXF 3.2.1
 * 2018-11-14T22:10:58.276+01:00
 * Generated source version: 3.2.1
 * 
 */
public final class FCUBSIFServiceSEI_FCUBSIFServiceSEI_Client {

    private static final QName SERVICE_NAME = new QName("http://FCUBSIFService.types.ws.gw.fcubs.ofss.com", "FCUBSIFService");

    private FCUBSIFServiceSEI_FCUBSIFServiceSEI_Client() {
    }

    public static void main(String args[]) throws java.lang.Exception {
        URL wsdlURL = FCUBSIFService.WSDL_LOCATION;
        if (args.length > 0 && args[0] != null && !"".equals(args[0])) { 
            File wsdlFile = new File(args[0]);
            try {
                if (wsdlFile.exists()) {
                    wsdlURL = wsdlFile.toURI().toURL();
                } else {
                    wsdlURL = new URL(args[0]);
                }
            } catch (MalformedURLException e) {
                e.printStackTrace();
            }
        }
      
        FCUBSIFService ss = new FCUBSIFService(wsdlURL, SERVICE_NAME);
        FCUBSIFServiceSEI port = ss.getFCUBSIFServiceSEI();  
        
        {
        System.out.println("Invoking modifyRepAccFS...");
        com.ofss.fcubs.service.fcubsifservice.MODIFYREPACCFSFSREQ _modifyRepAccFS_requestMsg = null;
        com.ofss.fcubs.service.fcubsifservice.MODIFYREPACCFSFSRES _modifyRepAccFS__return = port.modifyRepAccFS(_modifyRepAccFS_requestMsg);
        System.out.println("modifyRepAccFS.result=" + _modifyRepAccFS__return);


        }
        {
        System.out.println("Invoking modifyOLContractIO...");
        com.ofss.fcubs.service.fcubsifservice.MODIFYOLCONTRACTIOPKREQ _modifyOLContractIO_requestMsg = null;
        com.ofss.fcubs.service.fcubsifservice.MODIFYOLCONTRACTIOPKRES _modifyOLContractIO__return = port.modifyOLContractIO(_modifyOLContractIO_requestMsg);
        System.out.println("modifyOLContractIO.result=" + _modifyOLContractIO__return);


        }
        {
        System.out.println("Invoking createRepAccIO...");
        com.ofss.fcubs.service.fcubsifservice.CREATEREPACCIOPKREQ _createRepAccIO_requestMsg = null;
        com.ofss.fcubs.service.fcubsifservice.CREATEREPACCIOPKRES _createRepAccIO__return = port.createRepAccIO(_createRepAccIO_requestMsg);
        System.out.println("createRepAccIO.result=" + _createRepAccIO__return);


        }
        {
        System.out.println("Invoking createRepliAccFS...");
        com.ofss.fcubs.service.fcubsifservice.CREATEREPLIACCFSFSREQ _createRepliAccFS_requestMsg = null;
        com.ofss.fcubs.service.fcubsifservice.CREATEREPLIACCFSFSRES _createRepliAccFS__return = port.createRepliAccFS(_createRepliAccFS_requestMsg);
        System.out.println("createRepliAccFS.result=" + _createRepliAccFS__return);


        }
        {
        System.out.println("Invoking createOLContractFS...");
        com.ofss.fcubs.service.fcubsifservice.CREATEOLCONTRACTFSFSREQ _createOLContractFS_requestMsg = null;
        com.ofss.fcubs.service.fcubsifservice.CREATEOLCONTRACTFSFSRES _createOLContractFS__return = port.createOLContractFS(_createOLContractFS_requestMsg);
        System.out.println("createOLContractFS.result=" + _createOLContractFS__return);


        }
        {
        System.out.println("Invoking createExtAccEcaEntriesIO...");
        com.ofss.fcubs.service.fcubsifservice.CREATEEXTACCECAENTRIESIOPKREQ _createExtAccEcaEntriesIO_requestMsg = null;
        com.ofss.fcubs.service.fcubsifservice.CREATEEXTACCECAENTRIESIOPKRES _createExtAccEcaEntriesIO__return = port.createExtAccEcaEntriesIO(_createExtAccEcaEntriesIO_requestMsg);
        System.out.println("createExtAccEcaEntriesIO.result=" + _createExtAccEcaEntriesIO__return);


        }
        {
        System.out.println("Invoking deleteOLContractIO...");
        com.ofss.fcubs.service.fcubsifservice.DELETEOLCONTRACTIOPKREQ _deleteOLContractIO_requestMsg = null;
        com.ofss.fcubs.service.fcubsifservice.DELETEOLCONTRACTIOPKRES _deleteOLContractIO__return = port.deleteOLContractIO(_deleteOLContractIO_requestMsg);
        System.out.println("deleteOLContractIO.result=" + _deleteOLContractIO__return);


        }
        {
        System.out.println("Invoking modifyRepliAccFS...");
        com.ofss.fcubs.service.fcubsifservice.MODIFYREPLIACCFSFSREQ _modifyRepliAccFS_requestMsg = null;
        com.ofss.fcubs.service.fcubsifservice.MODIFYREPLIACCFSFSRES _modifyRepliAccFS__return = port.modifyRepliAccFS(_modifyRepliAccFS_requestMsg);
        System.out.println("modifyRepliAccFS.result=" + _modifyRepliAccFS__return);


        }
        {
        System.out.println("Invoking deleteRepAccIO...");
        com.ofss.fcubs.service.fcubsifservice.DELETEREPACCIOPKREQ _deleteRepAccIO_requestMsg = null;
        com.ofss.fcubs.service.fcubsifservice.DELETEREPACCIOPKRES _deleteRepAccIO__return = port.deleteRepAccIO(_deleteRepAccIO_requestMsg);
        System.out.println("deleteRepAccIO.result=" + _deleteRepAccIO__return);


        }
        {
        System.out.println("Invoking queryRepAccIO...");
        com.ofss.fcubs.service.fcubsifservice.QUERYREPACCIOFSREQ _queryRepAccIO_requestMsg = null;
        com.ofss.fcubs.service.fcubsifservice.QUERYREPACCIOFSRES _queryRepAccIO__return = port.queryRepAccIO(_queryRepAccIO_requestMsg);
        System.out.println("queryRepAccIO.result=" + _queryRepAccIO__return);


        }
        {
        System.out.println("Invoking reverseExtAccEntriesIO...");
        com.ofss.fcubs.service.fcubsifservice.REVERSEEXTACCENTRIESIOPKREQ _reverseExtAccEntriesIO_requestMsg = null;
        com.ofss.fcubs.service.fcubsifservice.REVERSEEXTACCENTRIESIOPKRES _reverseExtAccEntriesIO__return = port.reverseExtAccEntriesIO(_reverseExtAccEntriesIO_requestMsg);
        System.out.println("reverseExtAccEntriesIO.result=" + _reverseExtAccEntriesIO__return);


        }
        {
        System.out.println("Invoking authRepAccFS...");
        com.ofss.fcubs.service.fcubsifservice.AUTHREPACCFSFSREQ _authRepAccFS_requestMsg = null;
        com.ofss.fcubs.service.fcubsifservice.AUTHREPACCFSFSRES _authRepAccFS__return = port.authRepAccFS(_authRepAccFS_requestMsg);
        System.out.println("authRepAccFS.result=" + _authRepAccFS__return);


        }
        {
        System.out.println("Invoking deleteRepliAccFS...");
        com.ofss.fcubs.service.fcubsifservice.DELETEREPLIACCFSFSREQ _deleteRepliAccFS_requestMsg = null;
        com.ofss.fcubs.service.fcubsifservice.DELETEREPLIACCFSFSRES _deleteRepliAccFS__return = port.deleteRepliAccFS(_deleteRepliAccFS_requestMsg);
        System.out.println("deleteRepliAccFS.result=" + _deleteRepliAccFS__return);


        }
        {
        System.out.println("Invoking createFXLinkFS...");
        com.ofss.fcubs.service.fcubsifservice.CREATEFXLINKFSFSREQ _createFXLinkFS_requestMsg = null;
        com.ofss.fcubs.service.fcubsifservice.CREATEFXLINKFSFSRES _createFXLinkFS__return = port.createFXLinkFS(_createFXLinkFS_requestMsg);
        System.out.println("createFXLinkFS.result=" + _createFXLinkFS__return);


        }
        {
        System.out.println("Invoking authorizeRepliAccIO...");
        com.ofss.fcubs.service.fcubsifservice.AUTHORIZEREPLIACCIOPKREQ _authorizeRepliAccIO_requestMsg = null;
        com.ofss.fcubs.service.fcubsifservice.AUTHORIZEREPLIACCIOPKRES _authorizeRepliAccIO__return = port.authorizeRepliAccIO(_authorizeRepliAccIO_requestMsg);
        System.out.println("authorizeRepliAccIO.result=" + _authorizeRepliAccIO__return);


        }
        {
        System.out.println("Invoking createOLContractIO...");
        com.ofss.fcubs.service.fcubsifservice.CREATEOLCONTRACTIOPKREQ _createOLContractIO_requestMsg = null;
        com.ofss.fcubs.service.fcubsifservice.CREATEOLCONTRACTIOPKRES _createOLContractIO__return = port.createOLContractIO(_createOLContractIO_requestMsg);
        System.out.println("createOLContractIO.result=" + _createOLContractIO__return);


        }
        {
        System.out.println("Invoking queryExtAccEcaEntriesIO...");
        com.ofss.fcubs.service.fcubsifservice.QUERYEXTACCECAENTRIESIOFSREQ _queryExtAccEcaEntriesIO_requestMsg = null;
        com.ofss.fcubs.service.fcubsifservice.QUERYEXTACCECAENTRIESIOFSRES _queryExtAccEcaEntriesIO__return = port.queryExtAccEcaEntriesIO(_queryExtAccEcaEntriesIO_requestMsg);
        System.out.println("queryExtAccEcaEntriesIO.result=" + _queryExtAccEcaEntriesIO__return);


        }
        {
        System.out.println("Invoking createFXLinkIO...");
        com.ofss.fcubs.service.fcubsifservice.CREATEFXLINKIOPKREQ _createFXLinkIO_requestMsg = null;
        com.ofss.fcubs.service.fcubsifservice.CREATEFXLINKIOPKRES _createFXLinkIO__return = port.createFXLinkIO(_createFXLinkIO_requestMsg);
        System.out.println("createFXLinkIO.result=" + _createFXLinkIO__return);


        }
        {
        System.out.println("Invoking deleteOLContractFS...");
        com.ofss.fcubs.service.fcubsifservice.DELETEOLCONTRACTFSFSREQ _deleteOLContractFS_requestMsg = null;
        com.ofss.fcubs.service.fcubsifservice.DELETEOLCONTRACTFSFSRES _deleteOLContractFS__return = port.deleteOLContractFS(_deleteOLContractFS_requestMsg);
        System.out.println("deleteOLContractFS.result=" + _deleteOLContractFS__return);


        }
        {
        System.out.println("Invoking createExtAccEntriesFS...");
        com.ofss.fcubs.service.fcubsifservice.CREATEEXTACCENTRIESFSFSREQ _createExtAccEntriesFS_requestMsg = null;
        com.ofss.fcubs.service.fcubsifservice.CREATEEXTACCENTRIESFSFSRES _createExtAccEntriesFS__return = port.createExtAccEntriesFS(_createExtAccEntriesFS_requestMsg);
        System.out.println("createExtAccEntriesFS.result=" + _createExtAccEntriesFS__return);


        }
        {
        System.out.println("Invoking modifyRepAccIO...");
        com.ofss.fcubs.service.fcubsifservice.MODIFYREPACCIOPKREQ _modifyRepAccIO_requestMsg = null;
        com.ofss.fcubs.service.fcubsifservice.MODIFYREPACCIOPKRES _modifyRepAccIO__return = port.modifyRepAccIO(_modifyRepAccIO_requestMsg);
        System.out.println("modifyRepAccIO.result=" + _modifyRepAccIO__return);


        }
        {
        System.out.println("Invoking createRepAccFS...");
        com.ofss.fcubs.service.fcubsifservice.CREATEREPACCFSFSREQ _createRepAccFS_requestMsg = null;
        com.ofss.fcubs.service.fcubsifservice.CREATEREPACCFSFSRES _createRepAccFS__return = port.createRepAccFS(_createRepAccFS_requestMsg);
        System.out.println("createRepAccFS.result=" + _createRepAccFS__return);


        }
        {
        System.out.println("Invoking createRepliAccIO...");
        com.ofss.fcubs.service.fcubsifservice.CREATEREPLIACCIOPKREQ _createRepliAccIO_requestMsg = null;
        com.ofss.fcubs.service.fcubsifservice.CREATEREPLIACCIOPKRES _createRepliAccIO__return = port.createRepliAccIO(_createRepliAccIO_requestMsg);
        System.out.println("createRepliAccIO.result=" + _createRepliAccIO__return);


        }
        {
        System.out.println("Invoking authorizeRepliAccFS...");
        com.ofss.fcubs.service.fcubsifservice.AUTHORIZEREPLIACCFSFSREQ _authorizeRepliAccFS_requestMsg = null;
        com.ofss.fcubs.service.fcubsifservice.AUTHORIZEREPLIACCFSFSRES _authorizeRepliAccFS__return = port.authorizeRepliAccFS(_authorizeRepliAccFS_requestMsg);
        System.out.println("authorizeRepliAccFS.result=" + _authorizeRepliAccFS__return);


        }
        {
        System.out.println("Invoking createExtAccEcaEntriesFS...");
        com.ofss.fcubs.service.fcubsifservice.CREATEEXTACCECAENTRIESFSFSREQ _createExtAccEcaEntriesFS_requestMsg = null;
        com.ofss.fcubs.service.fcubsifservice.CREATEEXTACCECAENTRIESFSFSRES _createExtAccEcaEntriesFS__return = port.createExtAccEcaEntriesFS(_createExtAccEcaEntriesFS_requestMsg);
        System.out.println("createExtAccEcaEntriesFS.result=" + _createExtAccEcaEntriesFS__return);


        }
        {
        System.out.println("Invoking createExtAccEntriesIO...");
        com.ofss.fcubs.service.fcubsifservice.CREATEEXTACCENTRIESIOPKREQ _createExtAccEntriesIO_requestMsg = null;
        com.ofss.fcubs.service.fcubsifservice.CREATEEXTACCENTRIESIOPKRES _createExtAccEntriesIO__return = port.createExtAccEntriesIO(_createExtAccEntriesIO_requestMsg);
        System.out.println("createExtAccEntriesIO.result=" + _createExtAccEntriesIO__return);


        }
        {
        System.out.println("Invoking modifyOLContractFS...");
        com.ofss.fcubs.service.fcubsifservice.MODIFYOLCONTRACTFSFSREQ _modifyOLContractFS_requestMsg = null;
        com.ofss.fcubs.service.fcubsifservice.MODIFYOLCONTRACTFSFSRES _modifyOLContractFS__return = port.modifyOLContractFS(_modifyOLContractFS_requestMsg);
        System.out.println("modifyOLContractFS.result=" + _modifyOLContractFS__return);


        }
        {
        System.out.println("Invoking modifyRepliAccIO...");
        com.ofss.fcubs.service.fcubsifservice.MODIFYREPLIACCIOPKREQ _modifyRepliAccIO_requestMsg = null;
        com.ofss.fcubs.service.fcubsifservice.MODIFYREPLIACCIOPKRES _modifyRepliAccIO__return = port.modifyRepliAccIO(_modifyRepliAccIO_requestMsg);
        System.out.println("modifyRepliAccIO.result=" + _modifyRepliAccIO__return);


        }
        {
        System.out.println("Invoking reverseExtAccEntriesFS...");
        com.ofss.fcubs.service.fcubsifservice.REVERSEEXTACCENTRIESFSFSREQ _reverseExtAccEntriesFS_requestMsg = null;
        com.ofss.fcubs.service.fcubsifservice.REVERSEEXTACCENTRIESFSFSRES _reverseExtAccEntriesFS__return = port.reverseExtAccEntriesFS(_reverseExtAccEntriesFS_requestMsg);
        System.out.println("reverseExtAccEntriesFS.result=" + _reverseExtAccEntriesFS__return);


        }
        {
        System.out.println("Invoking deleteRepAccFS...");
        com.ofss.fcubs.service.fcubsifservice.DELETEREPACCFSFSREQ _deleteRepAccFS_requestMsg = null;
        com.ofss.fcubs.service.fcubsifservice.DELETEREPACCFSFSRES _deleteRepAccFS__return = port.deleteRepAccFS(_deleteRepAccFS_requestMsg);
        System.out.println("deleteRepAccFS.result=" + _deleteRepAccFS__return);


        }
        {
        System.out.println("Invoking authRepAccIO...");
        com.ofss.fcubs.service.fcubsifservice.AUTHREPACCIOPKREQ _authRepAccIO_requestMsg = null;
        com.ofss.fcubs.service.fcubsifservice.AUTHREPACCIOPKRES _authRepAccIO__return = port.authRepAccIO(_authRepAccIO_requestMsg);
        System.out.println("authRepAccIO.result=" + _authRepAccIO__return);


        }
        {
        System.out.println("Invoking queryRepliAccIO...");
        com.ofss.fcubs.service.fcubsifservice.QUERYREPLIACCIOFSREQ _queryRepliAccIO_requestMsg = null;
        com.ofss.fcubs.service.fcubsifservice.QUERYREPLIACCIOFSRES _queryRepliAccIO__return = port.queryRepliAccIO(_queryRepliAccIO_requestMsg);
        System.out.println("queryRepliAccIO.result=" + _queryRepliAccIO__return);


        }
        {
        System.out.println("Invoking deleteRepliAccIO...");
        com.ofss.fcubs.service.fcubsifservice.DELETEREPLIACCIOPKREQ _deleteRepliAccIO_requestMsg = null;
        com.ofss.fcubs.service.fcubsifservice.DELETEREPLIACCIOPKRES _deleteRepliAccIO__return = port.deleteRepliAccIO(_deleteRepliAccIO_requestMsg);
        System.out.println("deleteRepliAccIO.result=" + _deleteRepliAccIO__return);


        }

        System.exit(0);
    }

}
